var sfile = OpenFile("super_data.naut");

//setup head mask info
for (l=0;l<headcolors.length;l++)
{
	headcolors_pos[l] = new Object();
	headcolors_pos[l].firstx = sfile.read("super1_headcolors_posfirstx"+l, 0);
	headcolors_pos[l].firsty = sfile.read("super1_headcolors_posfirsty"+l, 0);

	headcolors_pos[l].avgx = sfile.read("super1_headcolors_posx"+l, 0);
	headcolors_pos[l].avgy = sfile.read("super1_headcolors_posy"+l, 0);
}
//setup neck mask info
for (l=0;l<neck_bottomcolors.length;l++)
{
	neck_bottomcolors_pos[l] = new Object();
	neck_bottomcolors_pos[l].firstx = sfile.read("super1_neck_bottom_colors_posfirstx"+l, 0);
	neck_bottomcolors_pos[l].firsty = sfile.read("super1_neck_bottom_colors_posfirsty"+l, 0);

	neck_bottomcolors_pos[l].avgx = sfile.read("super1_neck_bottom_colors_posx"+l, 0);
	neck_bottomcolors_pos[l].avgy = sfile.read("super1_neck_bottom_colors_posy"+l, 0);
}
//setup mouth mask info
for (l=0;l<mouthcolors.length;l++)
{
	mouthcolors_pos1[l] = new Object();
	mouthcolors_pos1[l].firstx = sfile.read("super1_mouth_colors_pos1firstx"+l, 0);
	mouthcolors_pos1[l].firsty = sfile.read("super1_mouth_colors_pos1firsty"+l, 0);

	mouthcolors_pos1[l].avgx = sfile.read("super1_mouth_colors_pos1x"+l, 0);
	mouthcolors_pos1[l].avgy = sfile.read("super1_mouth_colors_pos1y"+l, 0);
}

for (l=0;l<mouthcolors2.length;l++)
{
	mouthcolors_pos2[l] = new Object();
	mouthcolors_pos2[l].firstx = sfile.read("super1_mouth_colors_pos2firstx"+l, 0);
	mouthcolors_pos2[l].firsty = sfile.read("super1_mouth_colors_pos2firsty"+l, 0);

	mouthcolors_pos2[l].avgx = sfile.read("super1_mouth_colors_pos2x"+l, 0);
	mouthcolors_pos2[l].avgy = sfile.read("super1_mouth_colors_pos2y"+l, 0);
}

//supernaut 2 colours

for (l=0;l<s2_headcolors.length;l++)
{
	s2_headcolors_pos[l] = new Object();
	s2_headcolors_pos[l].firstx = sfile.read("super2_headcolors_posfirstx"+l, 0);
	s2_headcolors_pos[l].firsty = sfile.read("super2_headcolors_posfirsty"+l, 0);

	s2_headcolors_pos[l].avgx = sfile.read("super2_headcolors_posx"+l, 0);
	s2_headcolors_pos[l].avgy = sfile.read("super2_headcolors_posy"+l, 0);
}



//setup neck mask info
for (l=0;l<s2_neck_topcolors.length;l++)
{
	s2_neck_topcolors_pos[l] = new Object();
	s2_neck_topcolors_pos[l].firstx = sfile.read("super2_neck_topcolors_posfirstx"+l, 0);
	s2_neck_topcolors_pos[l].firsty = sfile.read("super2_neck_topcolors_posfirsty"+l, 0);

	s2_neck_topcolors_pos[l].avgx = sfile.read("super2_neck_topcolors_posx"+l, 0);
	s2_neck_topcolors_pos[l].avgy = sfile.read("super2_neck_topcolors_posy"+l, 0);
}
//setup mouth mask info
for (l=0;l<s2_mouthcolors.length;l++)
{
	s2_mouthcolors_pos1[l] = new Object();
	s2_mouthcolors_pos1[l].firstx = sfile.read("super2_mouth_colors_pos1firstx"+l, 0);
	s2_mouthcolors_pos1[l].firsty = sfile.read("super2_mouth_colors_pos1firsty"+l, 0);

	s2_mouthcolors_pos1[l].avgx = sfile.read("super2_mouth_colors_pos1x"+l, 0);
	s2_mouthcolors_pos1[l].avgy = sfile.read("super2_mouth_colors_pos1y"+l, 0);
}


for (l=0;l<s2_mouthcolors2.length;l++)
{
	s2_mouthcolors_pos2[l] = new Object();
	s2_mouthcolors_pos2[l].firstx = sfile.read("super2_mouth_colors_pos2firstx"+l, 0);
	s2_mouthcolors_pos2[l].firsty = sfile.read("super2_mouth_colors_pos2firsty"+l, 0);

	s2_mouthcolors_pos2[l].avgx = sfile.read("super2_mouth_colors_pos2x"+l, 0);
	s2_mouthcolors_pos2[l].avgy = sfile.read("super2_mouth_colors_pos2y"+l, 0);
}